# API บัญชีคอนโซล

> Source: https://docs.blockvectra.com/th/api/console/

API เหล่านี้เป็น API สำหรับการจัดการบัญชีคอนโซล โดยที่ Product API (JSON-RPC, Data API และ WebSocket) ไม่ขึ้นอยู่กับ API เหล่านี้ โปรดยืนยันตัวตนสำหรับคำขอเฉพาะบัญชีด้วย session token ที่ได้รับจากการเข้าสู่ระบบด้วย SIWE

[ดาวน์โหลดข้อกำหนด OpenAPI](https://docs.blockvectra.com/openapi/console.yaml)

## ดัชนี Endpoint

ต่อไปนี้เป็นข้อกำหนดต้นฉบับภาษาอังกฤษ

<div lang="en">

### Auth

- POST /auth/siwe/challenge — Get SIWE message
- POST /auth/siwe/login — SIWE login (first login creates account)
- POST /auth/logout — Log out current session

### Me

- GET /me — Current username, identity list, and current session
- PATCH /me — Update username
- POST /me/identities/siwe — Link wallet
- POST /me/identities/oauth — Link GitHub or Google identity using login code
- DELETE /me/identities/{identity_id} — Unlink identity

### Keys

- GET /keys — List API keys
- POST /keys — Create key (secret displayed only once)
- GET /keys/{key_id} — Single key
- PATCH /keys/{key_id} — Rename key
- POST /keys/{key_id}/rotate — Rotate key (new secret displayed only once)
- POST /keys/{key_id}/revoke — Revoke key (idempotent)

### Billing

- GET /plans — Plan policies and pricing parameters
- GET /balance — Balance and settlement cutoff timestamp
- GET /charges — Charge records (paginated)
- GET /topups — Top-up records (paginated)
- GET /usage — Calls and CU usage grouped by UTC date, API key, chain, and method
- GET /resets — Reset chances
- POST /resets/use — Use one reset chance

</div>
